Package junit.runner

# Interface FailureDetailView

All Known Implementing Classes:
  `DefaultFailureDetailView`

public interface FailureDetailView
A view to show a details about a failure

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
Clears the view
`Component`
`getComponent()`
Returns the component used to present the TraceView
`void`
`showFailure(TestFailure failure)`
Shows details of a TestFailure

## Method Details

### getComponent

Component getComponent()
Returns the component used to present the TraceView

### showFailure

void showFailure(TestFailure failure)
Shows details of a TestFailure

### clear

void clear()
Clears the view